#!/bin/sh
## @(#) parc-bootnotify.sh - send mail & syslog message at system boot/ halt -kfarrar
#
# BootNotify   This shell script notifies administrators at rebot and shutdown
#
# chkconfig: 20 55 55
# description: This script sends email to the PARC server administrators
# processname: 
# pidfile: 

# Source function library.
. /etc/rc.d/init.d/functions

# Source networking configuration.
. /etc/sysconfig/network

case "$1" in
start|restart)
	echo "[serverboot] reboot: system rebooted at `date`"  | logger -p kern.emerg
	mail -vs "[serverboot] reboot: `uname -a`" sunsupport@parc.com < /var/log/dmesg.boot
    ;;

stop)
	echo "[serverboot] shutdown: system shutting down at `date`"  | logger -p kern.emerg
	mail -vs "[serverboot] shutdown: `uname -a`" sunsupport@parc.com < /var/log/dmesg.boot
    ;;
esac

exit 0

